Skip to content

Post new audio files

POST
/media/audio
curl --request POST \
--url https://app.mediamanager.io/api/v1/media/audio \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "team_id": 1, "title": "example", "description": "example", "custom_fields": { "additionalProperty": "example" }, "is_downloadable": true, "is_published": true, "url": "example", "tags": [ "example" ], "is_previewable": true, "disable_transcription": true }'

Create one or many new audio contents

Create one or many audio content

Media type application/json
One of:
object
team_id
integer
title
string
description
string
custom_fields

Custom fields as key value pairs

object
key
additional properties
string
is_downloadable
boolean
is_published
boolean
url
string
tags

An array of tags as strings

Array<string>
is_previewable
boolean
disable_transcription
boolean
Example generated
{
"team_id": 1,
"title": "example",
"description": "example",
"custom_fields": {
"additionalProperty": "example"
},
"is_downloadable": true,
"is_published": true,
"url": "example",
"tags": [
"example"
],
"is_previewable": true,
"disable_transcription": true
}

Created

Media type application/json
object
message
string
default: Audio created
audio_token
One of:
string
messages
Array<string>
Example
{
"message": "Audio created"
}

Missing or invalid Authorization Bearer token

Media type application/json
object
message
string
Example generated
{
"message": "example"
}

Not allowed by permissions

Media type application/json
object
message
string
key
additional properties
any
Example generated
{
"message": "example"
}

Unprocessable entity

Media type application/json
object
message
string
errors
object
key
additional properties
any
Example generated
{
"message": "example",
"errors": {}
}